---
lang: en
title: 'API docs: rest.parseparamsprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.parseparamsprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ParseParamsProvider](./rest.parseparamsprovider.md)

## ParseParamsProvider class

Provides the function for parsing args in requests at runtime.

**Signature:**

```typescript
export declare class ParseParamsProvider 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[value(requestBodyParser, validationOptions, ajvFactory)](./rest.parseparamsprovider.value.md)


</td><td>

`static`


</td><td>


</td></tr>
</tbody></table>


